summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-x.travis-build.sh3
-rwxr-xr-x.travis-deps.sh3
-rw-r--r--.travis.yml1
3 files changed, 4 insertions, 3 deletions
diff --git a/.travis-build.sh b/.travis-build.sh
index 8440b4f5c..80361ddaf 100755
--- a/.travis-build.sh
+++ b/.travis-build.sh
@@ -23,11 +23,12 @@ if [ "$TRAVIS_OS_NAME" = "linux" -o -z "$TRAVIS_OS_NAME" ]; then
elif [ "$TRAVIS_OS_NAME" = "osx" ]; then
set -o pipefail
+ export MACOSX_DEPLOYMENT_TARGET=10.9
export Qt5_DIR=$(brew --prefix)/opt/qt5
mkdir build && cd build
cmake .. -GXcode
- xcodebuild -configuration Release | xcpretty -c
+ xcodebuild -configuration Release
ctest -VV -C Release
fi
diff --git a/.travis-deps.sh b/.travis-deps.sh
index aad9074bf..b0833f74a 100755
--- a/.travis-deps.sh
+++ b/.travis-deps.sh
@@ -20,7 +20,6 @@ if [ "$TRAVIS_OS_NAME" = "linux" -o -z "$TRAVIS_OS_NAME" ]; then
)
elif [ "$TRAVIS_OS_NAME" = "osx" ]; then
brew update > /dev/null # silence the very verbose output
- brew unlink cmake
+ brew unlink cmake || true
brew install cmake qt5 sdl2 dylibbundler
- gem install xcpretty
fi
diff --git a/.travis.yml b/.travis.yml
index 8be395770..a693e70aa 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -7,6 +7,7 @@ matrix:
dist: trusty
- os: osx
sudo: false
+ osx_image: xcode7.3
env:
global: